openSUSE 13.1 Release - action #571

make sure all opensuse bug reports are public
2013-06-26 10:26 - Inussel

Status: Closed Start date:

Priority: Normal Due date:

Assignee: scarabeus_iv % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

opensuse package changelogs must not refer to private bug reports as the reviewers may not be able to read them then. add a script
for the factory-auto bot that rejects submissions that refer to private bug reports

History

#1 - 2013-09-02 13:25 - Inussel
- Assignee set to scarabeus_iv

- Start date deleted (2013-06-26)

#3 - 2013-09-05 09:55 - scarabeus_iv

As most reviewers are employees would it not be better to just flag the bnc links as employee requiring and just expect review from somebody who
actually can see the bugs.
Rather than just stripping the bug information?

#4 - 2013-09-05 10:14 - scarabeus_iv

Other option is to provide bugzilla privileges to the review team members.

#5 - 2013-09-16 12:22 - Inussel
| didn't say strip the bug information. I'd demand the bugs to be public.

#6 - 2013-11-21 12:04 - scarabeus_iv
- Status changed from New to Feedback

- % Done changed from 0 to 100

https://github.com/coolo/factory-auto/pull/46

Seems to be done. Now up for coolo to merge and we can enable it on the packagelists machine.
#7 - 2013-11-21 15:21 - kukuk
Inussel wrote:
| didn't say strip the bug information. I'd demand the bugs to be public.
Since it is not possible to make the bugs open to public in most cases, it will boil down to either that fixes will no longer be submitted to openSUSE

(bad for openSUSE) or that the bnc numbers will be stripped out (even not good for openSUSE).
So please think at first about the consequences before requesting to make all bugs public.

#8 - 2013-11-27 20:17 - yecril71pl
kukuk wrote:
Since it is not possible to make the bugs open to public in most cases, it will boil down to either that fixes will no longer be submitted to

openSUSE (bad for openSUSE) or that the bnc numbers will be stripped out (even not good for openSUSE).

Not necessarily. Anybody able to spell V|A6RA can avoid detection without stripping the bug number. But even if not, this protection is void anyway,
since anybody can open a public bug that contains some general information that can be exposed and depends on the private bug.
https://github.com/coolo/factory-auto/pull/46

#9 - 2014-09-05 07:00 - Inussel
- Status changed from Feedback to Closed
